# $Revision: 1.5 $, $Date: 2002/07/06 13:16:50 $
Summary:	Search tool in context menu
Summary(pl):	Wyszukiwarka w menu kontekstowym
Name:		mozilla-addon-qlookup
%define		_realname	qlookup
Version:	0.1.0
Release:	3
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://www.xenolinguistics.com/qlookup.mozdev/qlookup/www/%{_realname}.xpi
Source1:	%{_realname}-installed-chrome.txt
URL:		http://qlookup.mozdev.org/
BuildRequires:	unzip
BuildRequires:	zip
BuildArch:	noarch
Requires:	mozilla >= 1.0-7
BuildRoot:	%{tmpdir}/%{_realname}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_chromedir	%{_libdir}/mozilla/chrome

%description
A tool for simple and quick searching of text selected in browser
window, accessible from context menu.

%description -l pl
Proste i szybkie wyszukiwanie zaznaczanego tekstu w oknie przegldarki
po wywoaniu menu kontekstowego.

%prep
%setup -q -c %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_chromedir}

cd %{_realname}
rm -r CVS
rm -r content/CVS
rm content/*~
zip -r -9 -m ../%{_realname}.jar ./
cd -

install %{_realname}.jar $RPM_BUILD_ROOT%{_chromedir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_chromedir}

%post
cat %{_chromedir}/*-installed-chrome.txt >%{_chromedir}/installed-chrome.txt

%postun
cat %{_chromedir}/*-installed-chrome.txt >%{_chromedir}/installed-chrome.txt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_chromedir}/%{_realname}.jar
%{_chromedir}/%{_realname}-installed-chrome.txt

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mozilla-addon-qlookup.spec,v $
Revision 1.5  2002/07/06 13:16:50  jojoro
- repacked into jar file
- rel3

Revision 1.4  2002/06/23 18:35:27  kloczek
- make package as noarch,
- simplifications in %post/%postun.

Revision 1.3  2002/06/23 16:36:56  adgor
- Corrected %%post & %%postun
- Requires: mozilla >= 1.0-7
- Release 2

Revision 1.2  2002/06/22 23:20:39  qboosh
- cleanups and cosmetics, added en description

Revision 1.1  2002/06/20 22:56:17  jojoro
- initial release
